Kapitel 2. Starta upp GIMP
| Del I. Komma igång |

## Kapitel 2. Starta upp GIMP

## 1. Köra GIMP

Vanligen startar du GIMP antingen genom att klicka på en ikon (om ditt system är inställt att tillhandahålla dig en sådan) eller genom att skriva in gimp på en kommandorad. Om du har flera versioner av GIMP installerade kan du behöva skriva gimp-2.10 för att få fram den senaste versionen. Du kan, om du vill, skriva en lista av bildfiler på kommandoraden efter programnamnet så kommer dessa att automatiskt öppnas i GIMP när det startar. Det är dock även möjligt att öppna filer inifrån GIMP då det körs.

De flesta operativsystem stöder filassociationer, vilka associerar en klass filer (efter deras filändelse, som .jpg) med ett motsvarande program (som GIMP). När bildfiler har ”associerats” korrekt till GIMP så kan du dubbelklicka på en bild för att öppna den i GIMP.

### 1.1. Kända plattformar

GIMP är det bildmanipuleringsprogram som har bredast stöd tillgängligt idag. De plattformar som GIMP är känt att kunna användas på inkluderar:

GNU/Linux™, Apple macOS™, Microsoft Windows™, OpenBSD™, NetBSD™, FreeBSD™, Solaris™, SunOS™, AIX™, HP-UX™, Tru64™, Digital UNIX™, OSF/1™, IRIX™, OS/2™ och BeOS™.

GIMP kan lätt porteras till andra operativsystem på grund av att dess källkod är tillgänglig. Besök GIMP-utvecklarnas webbsida för mer information. [GIMP-DEV].

### 1.2. Språk

GIMP upptäcker och använder automatiskt systemets språk. I det oväntade fallet att språkupptäckten misslyckas, eller om du vill använda ett annat språk, kan du ändra språket i: Redigera → Inställningar, gå sedan till avsnittet Gränssnitt, där kan Språk ställas in högst upp.

Du kan också använda:

Under Linux

  I Linux: skriv i en terminal `LANGUAGE=sv gimp` eller `LANG=sv gimp` där du ersätter sv med fr, en, … beroende på vilket språk du vill använda. Bakgrund: Genom att använda `LANGUAGE=sv` så ställer du in en miljövariabel för det startade programmet `gimp`.

Under Windows

  Kontrollpanelen → System → Avancerat → Miljö i området ”Systemvariabler”: klicka på knappen Lägg till: Ange LANG för Namn och fr eller en… för Värde. Se upp! Du måste klicka på OK tre gånger på rad för att bekräfta ditt val.

  Om du byter språk ofta, kan du skapa en batchfil för att ändra språk. Öppna Anteckningar. Skriv in följande kommandon (exempel för svenska):

  `set lang=sv
  start gimp-2.10.exe`

  Spara denna fil som `GIMP-SV.BAT` (eller något annat namn, men alltid med filändelsen `.BAT`). Skapa en genväg och dra den till ditt skrivbord.

  En annan möjlighet: Start → Program → GTK Runtime Environment därefter Välj språk och välj språket du vill ha från rullgardinslistan.

Under Apple macOS

  Gå till Systeminställningar, klicka på ikonen Språk och region. Det önskade språket bör vara överst i listan i fliken Språk.

En annan GIMP-instans

  Använd `-n` för att köra flera instanser av GIMP. Använd exempelvis `gimp-2.10` för att starta GIMP på systemets standardspråk, och `LANGUAGE=en gimp-2.10 -n` för att starta en annan instans av GIMP på engelska. Detta är väldigt användbart för översättare.

### 1.3. Kommandoradsargument

Även om inga argument krävs när GIMP startas så visas de vanligaste argumenten nedan. På ett Unix-system kan du använda `man gimp` för en fullständig lista.

Kommandoradsflaggor måste anges i kommandoraden som du använder för att starta GIMP, som gimp-2.10 [FLAGGA…] [FIL|URI…].

-?, --help

  Visar en lista över alla kommandoradsflaggor.

--help-all

  Visa alla hjälpflaggor.

--help-gtk

  Visa GTK-flaggor.

-v, --version

  Skriv ut versionen av GIMP och avsluta.

--license

  Visa licensinformation och avsluta.

--verbose

  Visa detaljerade uppstartsmeddelanden.

-n, --new-instance

  Starta en ny GIMP-instans.

-a, --as-new

  Öppna bilder som nya.

-i, --no-interface

  Kör utan ett användargränssnitt.

-d, --no-data

  Läs inte in mönster, gradienter, paletter eller penslar. Ofta användbart i situationer som inte kräver interaktion då uppstartstiden ska minimeras.

-f, --no-fonts

  Läs inte in några typsnitt. Det här är användbart för att läsa in GIMP snabbare för skript som inte använder typsnitt, eller för att hitta problem relaterade till felaktiga typsnitt som gör så att GIMP hänger sig.

-s, --no-splash

  Visa inte startbilden vid uppstart.

--no-shm

  Använd inte delat minne mellan GIMP och insticksmoduler.

--no-cpu-accel

  Använd inte speciella accelerationsfunktioner för processorer. Användbart för att hitta eller slå av felfylld accelererad hårdvara eller funktioner.

--session=`namn`

  Använd en annan `sessionrc` för denna GIMP-session. Det sessionsnamn som ges blir tillagt till standardfilnamnet för `sessionrc`.

--gimprc=`filnamn`

  Använd en alternativ `gimprc` istället för den som är standard. `gimprc`-filen innehåller en förteckning av dina inställningar. Användbart i fall där instickssökvägar eller maskinspecifikationer skiljer sig åt.

--system-gimprc=`filnamn`

  Använd en alternativ system-gimprc-fil.

-b, --batch=`kommandon`

  Kör uppsättningen av kommandon icke-interaktivt. Uppsättningen av kommandon är vanligtvis i formen av ett skript som kan köras i ett av GIMPs skripttillägg. När kommandot är `-` läses kommandon från standard in.

--batch-interpreter=`proc`

  Ange proceduren att använda för att behandla satskommandon. Standardproceduren är Script-Fu.

--console-messages

  Visa inte dialogrutor vid fel eller varningar. Skriv meddelandena i konsolen i stället.

--pdb-compat-mode=`läge`

  PDB-kompatibilitetsläge (off|on|warn).

--stack-trace-mode=`läge`

  Felsökning om krasch sker (never|query|always).

--debug-handlers

  Aktivera icke-ödesdigra signalhanterare för felsökning. Användbart för GIMP-felsökning.

--g-fatal-warnings

  Gör alla varningar ödesdigra. Användbart för felsökning.

--dump-gimprc

  Utmatning av en gimprc-fil med standardinställningar. Användbart om du stökat till gimprc-filen.

--display=`display`

  Använd den tilldelade X-displayen (kan inte tillämpas på alla plattformar).

--show-playground

  Visa en inställningssida med experimentella funktioner.

2. Vad är nytt i GIMP |  | 2. Starta GIMP för första gången

Report a bug in GIMP Rapportera ett dokumentationsfel